public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-electronics/gerbv/files/, sci-electronics/gerbv/
@ 2020-01-26 18:52 David Seifert
  0 siblings, 0 replies; 2+ messages in thread
From: David Seifert @ 2020-01-26 18:52 UTC (permalink / raw
  To: gentoo-commits

commit:     8601fc63efe7f29b96fa6ce9545e994f6f1eba36
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 26 18:52:19 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jan 26 18:52:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8601fc63

sci-electronics/gerbv: Bump to 2.7.0

Bug: https://bugs.gentoo.org/686716
Package-Manager: Portage-2.3.85, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-electronics/gerbv/Manifest                     |  1 +
 .../gerbv/files/gerbv-2.7.0-fno-common-gcc10.patch | 28 ++++++++++++
 sci-electronics/gerbv/gerbv-2.7.0.ebuild           | 51 ++++++++++++++++++++++
 3 files changed, 80 insertions(+)

diff --git a/sci-electronics/gerbv/Manifest b/sci-electronics/gerbv/Manifest
index 60900726fe6..9187fe08149 100644
--- a/sci-electronics/gerbv/Manifest
+++ b/sci-electronics/gerbv/Manifest
@@ -1,2 +1,3 @@
 DIST gerbv-2.6.0.tar.gz 2346299 BLAKE2B 2b7a4293289e460f5b06f802d9ad779021a519d6ec702ea4b27df1e6a06d6779ae41fbd9aae6f0c83f9ea61fc9369dbc6aaa8d29326a9d5d139ab89a40f050f0 SHA512 a2d7601b44c8ed16a89d18713f451c0298bee65e2ea76b87e3d9d573af63d3b57758cb7cfcfb2177a22aecc7d9fdaaca3d369ea051446651af4dc542065a4377
 DIST gerbv-2.6.1.tar.gz 4432481 BLAKE2B 022214846077a4fea56848fbc63096857a8a782b3469c2293567e4927b904cf59a36d5d2b2adc0be7bc395a17c615af58a231f68a8f1dbedcb77cafc55ceb849 SHA512 cbf4ce4fd2b401d65ffc6bb5a7f9da0e6fa31cb3f754ea12092c86f197c72c833805eb395562b286f6d03c2eb38e363b649f8aa1040a6207baf975fa15e48b29
+DIST gerbv-2.7.0.tar.gz 5691407 BLAKE2B 458440dd69f20fee18ce09953c7403d783b2b7df1bf977e192b1ac877ebd9ed535ef7712417e112cff82d95e1c3752ae1dd4d88dfe14dea45df7c959337cb6ff SHA512 a940de027a9cdfdc513b0740cb402d312ae33bb7f002f80ee5f3e800aa5d01b86ff277538d8a19a309d852e248b2c8136645ede2d5d33456e5bfb49336c1256e

diff --git a/sci-electronics/gerbv/files/gerbv-2.7.0-fno-common-gcc10.patch b/sci-electronics/gerbv/files/gerbv-2.7.0-fno-common-gcc10.patch
new file mode 100644
index 00000000000..74879d46b06
--- /dev/null
+++ b/sci-electronics/gerbv/files/gerbv-2.7.0-fno-common-gcc10.patch
@@ -0,0 +1,28 @@
+--- a/src/callbacks.h
++++ b/src/callbacks.h
+@@ -26,7 +26,7 @@
+     \ingroup gerbv
+ */
+ 
+-enum {
++enum CALLBACKS_SAVE_FILE_TYPE {
+ 	CALLBACKS_SAVE_PROJECT_AS,
+ 	CALLBACKS_SAVE_FILE_PS,
+ 	CALLBACKS_SAVE_FILE_PDF,
+@@ -41,13 +41,13 @@
+ 	CALLBACKS_SAVE_LAYER_AS,
+ 	CALLBACKS_SAVE_FILE_IDRILL
+ 	
+-} CALLBACKS_SAVE_FILE_TYPE;
++};
+ 
+-enum {
++enum toggle_layer {
+ 	LAYER_SELECTED =	-1,
+ 	LAYER_ALL_ON =		-2,
+ 	LAYER_ALL_OFF =		-3,
+-} toggle_layer;
++};
+ 
+ void
+ callbacks_new_project_activate                (GtkMenuItem     *menuitem,

diff --git a/sci-electronics/gerbv/gerbv-2.7.0.ebuild b/sci-electronics/gerbv/gerbv-2.7.0.ebuild
new file mode 100644
index 00000000000..48379be8625
--- /dev/null
+++ b/sci-electronics/gerbv/gerbv-2.7.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools xdg
+
+DESCRIPTION="A RS-274X (Gerber) and NC drill (Excellon) file viewer"
+HOMEPAGE="http://gerbv.geda-project.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc examples unit-mm"
+RESTRICT="test"
+
+RDEPEND="
+	x11-libs/gtk+:2
+	x11-libs/cairo"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}"/${PN}-2.7.0-fno-common-gcc10.patch )
+
+src_configure() {
+	econf \
+		--disable-static \
+		--disable-update-desktop-database \
+		$(use_enable unit-mm)
+}
+
+src_install() {
+	rm README-{git,release,win32}.txt || die
+	default
+	dodoc CONTRIBUTORS HACKING
+
+	rm doc/Doxyfile.nopreprocessing || die
+	if use doc; then
+		find doc -name 'Makefile*' -delete || die
+		dodoc -r doc/.
+	fi
+
+	if use examples; then
+		find example -name 'Makefile*' -delete || die
+		dodoc -r example/.
+	fi
+
+	# no static archives
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-electronics/gerbv/files/, sci-electronics/gerbv/
@ 2020-02-10 10:00 David Seifert
  0 siblings, 0 replies; 2+ messages in thread
From: David Seifert @ 2020-02-10 10:00 UTC (permalink / raw
  To: gentoo-commits

commit:     b87b002a4c0ebb5997e477a07f876c808391f3aa
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 10 10:00:16 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Feb 10 10:00:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b87b002a

sci-electronics/gerbv: Remove old

Closes: https://bugs.gentoo.org/220421
Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-electronics/gerbv/Manifest                   |  2 -
 sci-electronics/gerbv/files/gerbv-2.6.1-ru.patch | 12 -----
 sci-electronics/gerbv/gerbv-2.6.0.ebuild         | 54 -------------------
 sci-electronics/gerbv/gerbv-2.6.1.ebuild         | 67 ------------------------
 4 files changed, 135 deletions(-)

diff --git a/sci-electronics/gerbv/Manifest b/sci-electronics/gerbv/Manifest
index 9187fe08149..855bca44870 100644
--- a/sci-electronics/gerbv/Manifest
+++ b/sci-electronics/gerbv/Manifest
@@ -1,3 +1 @@
-DIST gerbv-2.6.0.tar.gz 2346299 BLAKE2B 2b7a4293289e460f5b06f802d9ad779021a519d6ec702ea4b27df1e6a06d6779ae41fbd9aae6f0c83f9ea61fc9369dbc6aaa8d29326a9d5d139ab89a40f050f0 SHA512 a2d7601b44c8ed16a89d18713f451c0298bee65e2ea76b87e3d9d573af63d3b57758cb7cfcfb2177a22aecc7d9fdaaca3d369ea051446651af4dc542065a4377
-DIST gerbv-2.6.1.tar.gz 4432481 BLAKE2B 022214846077a4fea56848fbc63096857a8a782b3469c2293567e4927b904cf59a36d5d2b2adc0be7bc395a17c615af58a231f68a8f1dbedcb77cafc55ceb849 SHA512 cbf4ce4fd2b401d65ffc6bb5a7f9da0e6fa31cb3f754ea12092c86f197c72c833805eb395562b286f6d03c2eb38e363b649f8aa1040a6207baf975fa15e48b29
 DIST gerbv-2.7.0.tar.gz 5691407 BLAKE2B 458440dd69f20fee18ce09953c7403d783b2b7df1bf977e192b1ac877ebd9ed535ef7712417e112cff82d95e1c3752ae1dd4d88dfe14dea45df7c959337cb6ff SHA512 a940de027a9cdfdc513b0740cb402d312ae33bb7f002f80ee5f3e800aa5d01b86ff277538d8a19a309d852e248b2c8136645ede2d5d33456e5bfb49336c1256e

diff --git a/sci-electronics/gerbv/files/gerbv-2.6.1-ru.patch b/sci-electronics/gerbv/files/gerbv-2.6.1-ru.patch
deleted file mode 100644
index a56f3433391..00000000000
--- a/sci-electronics/gerbv/files/gerbv-2.6.1-ru.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- a/man/Makefile.am
-+++ b/man/Makefile.am
-@@ -19,8 +19,7 @@
- ##  along with this program; if not, write to the Free Software
- ##  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA
- 
--man_MANS = gerbv.1 gerbv.ru.1
--PO_FILES= gerbv.ru.1.in.po
-+man_MANS = gerbv.1
- 
- MOSTLYCLEANFILES = *~
- CLEANFILES = *~  *.pot $(man_MANS)

diff --git a/sci-electronics/gerbv/gerbv-2.6.0.ebuild b/sci-electronics/gerbv/gerbv-2.6.0.ebuild
deleted file mode 100644
index e2618cd1f89..00000000000
--- a/sci-electronics/gerbv/gerbv-2.6.0.ebuild
+++ /dev/null
@@ -1,54 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="4"
-
-inherit fdo-mime
-
-DESCRIPTION="A RS-274X (Gerber) and NC drill (Excellon) file viewer"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
-HOMEPAGE="http://gerbv.geda-project.org/"
-
-IUSE="doc examples static-libs unit-mm"
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="amd64 ppc x86"
-RESTRICT="test"
-
-RDEPEND="
-	x11-libs/gtk+:2
-	x11-libs/cairo"
-
-DEPEND="${RDEPEND}
-	virtual/pkgconfig"
-
-src_configure() {
-	econf \
-		$(use_enable unit-mm) \
-		--disable-update-desktop-database \
-		$(use_enable static-libs static)
-}
-
-src_install () {
-	emake DESTDIR="${D}" install
-	dodoc AUTHORS BUGS ChangeLog CONTRIBUTORS HACKING NEWS README* TODO
-
-	rm doc/Doxyfile.nopreprocessing
-	if use doc; then
-		find doc -name "Makefile*" -exec rm -f '{}' \;
-		dodoc -r doc/*
-	fi
-
-	if use examples; then
-		find example -name "Makefile*" -exec rm -f '{}' \;
-		dodoc -r example/*
-	fi
-}
-
-pkg_postinst() {
-	fdo-mime_desktop_database_update
-}
-
-pkg_postrm() {
-	fdo-mime_desktop_database_update
-}

diff --git a/sci-electronics/gerbv/gerbv-2.6.1.ebuild b/sci-electronics/gerbv/gerbv-2.6.1.ebuild
deleted file mode 100644
index 87f4879d834..00000000000
--- a/sci-electronics/gerbv/gerbv-2.6.1.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-inherit autotools eutils gnome2-utils xdg-utils
-
-DESCRIPTION="A RS-274X (Gerber) and NC drill (Excellon) file viewer"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
-HOMEPAGE="http://gerbv.geda-project.org/"
-
-IUSE="doc examples static-libs unit-mm"
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~amd64 ~ppc ~x86"
-RESTRICT="test"
-
-RDEPEND="
-	x11-libs/gtk+:2
-	x11-libs/cairo"
-
-DEPEND="${RDEPEND}
-	virtual/pkgconfig"
-
-src_prepare() {
-	# No Russian translation shipped
-	echo > po/LINGUAS || die
-	eapply "${FILESDIR}"/${P}-ru.patch
-
-	eapply_user
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		$(use_enable static-libs static) \
-		$(use_enable unit-mm) \
-		--disable-update-desktop-database
-}
-
-src_install () {
-	default
-
-	dodoc AUTHORS BUGS ChangeLog CONTRIBUTORS HACKING NEWS README* TODO
-
-	rm doc/Doxyfile.nopreprocessing
-	if use doc; then
-		find doc -name "Makefile*" -exec rm -f '{}' \;
-		dodoc -r doc/*
-	fi
-
-	if use examples; then
-		find example -name "Makefile*" -exec rm -f '{}' \;
-		dodoc -r example/*
-	fi
-
-	prune_libtool_files
-}
-
-pkg_postinst() {
-	xdg_desktop_database_update
-	gnome2_icon_cache_update
-}
-
-pkg_postrm() {
-	xdg_desktop_database_update
-	gnome2_icon_cache_update
-}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2020-02-10 10:00 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-01-26 18:52 [gentoo-commits] repo/gentoo:master commit in: sci-electronics/gerbv/files/, sci-electronics/gerbv/ David Seifert
  -- strict thread matches above, loose matches on Subject: below --
2020-02-10 10:00 David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox